import { Channel } from './channel';
import { EntryFieldInfo, FieldType, Items, FieldAPI, FieldLinkType } from './types';
import { ExhaustiveEntryFieldAPI } from './types/field.types';
export default class Field implements ExhaustiveEntryFieldAPI {
    private _defaultLocale;
    private _fieldLocales;
    id: string;
    name: string;
    locales: string[];
    type: FieldType;
    required: boolean;
    validations: Object[];
    items?: Items;
    linkType?: FieldLinkType;
    constructor(channel: Channel, info: EntryFieldInfo, defaultLocale: string);
    getValue(locale?: string): any;
    setValue(value: any, locale?: string): Promise<import("./types").SerializedJSONValue | undefined>;
    removeValue(locale?: string): Promise<void>;
    onValueChanged(locale: string | ((value: any) => void), handler?: (value: any) => void): () => void;
    onIsDisabledChanged(locale: string | ((isDisabled: boolean) => void), handler?: (isDisabled: boolean) => void): () => void;
    private _getFieldLocale;
    getForLocale(locale: string): FieldAPI;
    assertHasLocale(locale: string): void;
}
